Hi,

all of the nodes that already made updates in the past have

/etc/yum.repos.d/ovirt-4.1-pre-dependencies.repo
/etc/yum.repos.d/ovirt-4.1-pre.repo

i went through the logs in /var/log/ovirt-engine/host-deploy/ and my own notes and discovered/remembered that this being presented with RC versions started on 20170707 when i updated my nodes from 4.1.2 to 4.1.3-0.3.rc3.20170622082156.git47b4302 (!). probably there was a short timespan when you erroneously published a RC version in the wrong repo, my nodes "caught" it and dragged this along until today when i finally cared ;-) I moved the /etc/yum.repos.d/ovirt-4.1-pre*.repo files away and now everything seems fine

Regards
Matthias

Am 2017-08-31 um 15:25 schrieb Yuval Turgeman:
Hi,

Don't quite understand how you got to that 4.1.6 rc, it's only available in the pre release repo, can you paste the yum repos that are enabled on your system ?

Thanks,
Yuval.

On Thu, Aug 31, 2017 at 4:19 PM, Matthias Leopold <matthias.leop...@meduniwien.ac.at <mailto:matthias.leop...@meduniwien.ac.at>> wrote:

    Hi,

    thanks a lot.

    So i understand everything is fine with my nodes and i'll wait until
    the update GUI shows the right version to update (4.1.5 at the moment).

    Regards
    Matthias


    Am 2017-08-31 um 14:56 schrieb Yuval Turgeman:

        Hi,

        oVirt node ng is shipped with a placeholder rpm preinstalled.
        The image-update rpms obsolete the placeholder rpm, so once a
        new image-update rpm is published, yum update will pull those
        packages.  So you have 1 system that was a fresh install and the
        others were upgrades.
        Next, the post install script for those image-update rpms will
        install --justdb the image-update rpms to the new image (so
        running yum update in the new image won't try to pull again the
        same version).

        Regarding the 4.1.6 it's very strange, we'll need to check the
        repos to see why it was published.

        As for nodectl, if there are no changes, it won't be updated and
        you'll see an "old" version or a version that doesn't seem to be
        matching the current image, but it is ok, we are thinking of
        changing its name to make it less confusing.

        Hope this helps,
        Yuval.


        On Thu, Aug 31, 2017 at 11:17 AM, Matthias Leopold
        <matthias.leop...@meduniwien.ac.at
        <mailto:matthias.leop...@meduniwien.ac.at>
        <mailto:matthias.leop...@meduniwien.ac.at
        <mailto:matthias.leop...@meduniwien.ac.at>>> wrote:

             hi,

             i still don't completely understand the oVirt Node update
        process
             and the involved rpm packages.

             We have 4 nodes, all running oVirt Node 4.1.3. Three of
        them show as
             available updates
'ovirt-node-ng-image-update-4.1.6-0.1.rc1.20170823083853.gitd646d2f.el7.centos'
             (i don't want run release candidates), one of them shows
             'ovirt-node-ng-image-update-4.1.5-1.el7.centos' (this is what i
             like). The node that doesn't want to upgrade to '4.1.6-0.1.rc1'
             lacks the rpm package
             'ovirt-node-ng-image-update-4.1.3-1.el7.centos.noarch',
        only has
'ovirt-node-ng-image-update-placeholder-4.1.3-1.el7.centos.noarch'.
             Also the version of ovirt-node-ng-nodectl is
             '4.1.3-0.20170709.0.el7' instead of
        '4.1.3-0.20170705.0.el7'. This
             node was the last one i installed and never made a version
        update
             before.

             I only began using oVirt starting with 4.1, but already
        completed
             minor version upgrades of oVirt nodes. IIRC this 'mysterious'
             ovirt-node-ng-image-update package comes into place when
        updating a
             node for the first time after initial installation. Usually i
             wouldn't care about all of this, but now i have this RC update
             situation that i don't want. How is this supposed to work?
        How can i
             resolve it?

             thx
             matthias

             _______________________________________________
             Users mailing list
        Users@ovirt.org <mailto:Users@ovirt.org> <mailto:Users@ovirt.org
        <mailto:Users@ovirt.org>>
        http://lists.ovirt.org/mailman/listinfo/users
        <http://lists.ovirt.org/mailman/listinfo/users>
             <http://lists.ovirt.org/mailman/listinfo/users
        <http://lists.ovirt.org/mailman/listinfo/users>>



-- Matthias Leopold
    IT Systems & Communications
    Medizinische Universit├Ąt Wien
    Spitalgasse 23 / BT 88 /Ebene 00
    A-1090 Wien
    Tel: +43 1 40160-21241 <tel:%2B43%201%2040160-21241>
    Fax: +43 1 40160-921200 <tel:%2B43%201%2040160-921200>



--
Matthias Leopold
IT Systems & Communications
Medizinische Universit├Ąt Wien
Spitalgasse 23 / BT 88 /Ebene 00
A-1090 Wien
Tel: +43 1 40160-21241
Fax: +43 1 40160-921200
_______________________________________________
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users

Reply via email to